<!DOCTYPE html>
<html lang="en">

<head>
    <title>Tablab - Teachers</title>
    <% include ../partials/head %>

    <link rel='stylesheet' href="/css/signin_reg.css" />
    <link rel='stylesheet' href="/css/modal-style.less" />

    <style>
        label {
            width: 100%;
            font-size: 16px;
            font-size: 1.2vw;
            margin: 2px auto;
        }

        .separator-heading {
            margin-bottom: 20px;
            background-color: #C11925;
            color: white;
            border: 2px solid #ffcccc;
            border-radius: 5px;
        }

        h3 {
            margin-left: 5px;
            margin-right: 5px;
            padding: 5px;
            border: 2px solid #ffcccc;
            border-radius: 5px;
            background-color: #c11925;
            color: white;
        }

        table,
        th {
            font-size: 16px;
            font-size: 1.2vw;
            text-align: center;
        }
    </style>
</head>

<body>
    <% include ../partials/reportsHeader %>

    <div id="loader" class="overlay" style="display:none;">
        <div class="loader">Loading...</div>
    </div>

    <input id="did" style="display:none;" value="<%= did%>" />

    <div class="container">
        <ul id="ul-pills" class="nav nav-pills sky">
            <li class="active">
                <a href="#0" data-toggle="tab">Teachers</a>
            </li>
            <li class="">
                <a href="#1" data-toggle="tab">Create A Teacher</a>
            </li>
        </ul>

        <div id="pills-div" class="tab-content clearfix" style="disp">
            <div class="tab-pane active row" id="0">
                <div class="col-lg-12 col-md-12 col-xs-12">
                    <div class="table-responsive" style="border:solid thin #999999; border-radius: 5px; padding-top:0px; margin-top:0px;margin-bottom:0px">
                        <h3 align="center">
                            DETAILS OF THE TEACHERS
                        </h3>
                        <hr>
                        <table class="table">
                            <thead class="row">
                                <th class="col-md-3">Name</th>
                                <th class="col-md-3">Email</th>
                                <th class="col-md-2">Contact Number</th>
                                <th class="col-md-2">View Classes</th>
                                <th class="col-md-2">Delete</th>
                            </thead>
                            <tbody class="row" id="teachersList">
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="tab-pane" id="1">
                <div class="panel panel-login">
                    <h3 align="center">
                        Add Teacher Details
                    </h3>
                    <hr/>

                    <div id="loader" style="display:none;">
                        <div class="loader"></div>
                    </div>

                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-8 col-md-offset-2">
                                <div class="panel panel-login">
                                    <div class="panel-body">
                                        <div class="row">
                                            <div class="col-lg-12">
                                                <form id="login-form" method="post" action="#" role="form" style="display: block;">
                                                    <div class="form-group">
                                                        <input type="email" name="email" id="email" tabindex="1" class="form-control" placeholder="Enter Email Address" value=""
                                                            required>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-6">
                                                            <div class="form-group">
                                                                <input type="text" name="FirstName" id="fName" tabindex="1" class="form-control" placeholder="First Name" value="" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-6">
                                                            <div class="form-group">
                                                                <input type="text" name="LastName" id="lName" tabindex="1" class="form-control" placeholder="Last Name" value="">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <input type="tel" pattern="((\+*)((0[ -]\+)*|(91 )*)(\d{12}|\d{10}))|\d{5}([- ]*)\d{6}" title="Match the pattern!" name="MobileNo"
                                                            id="mobileNum" tabindex="1" class="form-control" placeholder="Contact Number"
                                                            value="" required>
                                                    </div>

                                                    <% if(class_subjects) { %>
                                                        <div id="classSubjectsTeacherLink">
                                                            <% for(var x=0; x < class_subjects.classes.length; x++) {%>
                                                                <div class="form-group row oneRow">
                                                                    <div class="col-md-2 col-lg-2 col-sm-2 col-xs-2">
                                                                        <input type="checkbox" tabindex="1" class="className" value="<%= class_subjects.classes[x]%>" />
                                                                        <%= class_subjects.classes[x]%>
                                                                    </div>
                                                                    <div class="col-md-4 col-lg-4 col-sm-4 col-xs-4">
                                                                        <label>Class Teacher?</label>
                                                                        <input type="radio" class="isClassTeacher" name="isClassTeacher" value="Yes" disabled />
                                                                    </div>
                                                                    <div class="col-md-6 col-lg-6 col-sm-6 col-xs-6">
                                                                        <% for(var i=0; i < class_subjects.subjects.length; i++) { %>
                                                                            <input disabled type="checkbox" class="subjectName" value="<%= class_subjects.subjects[i]%>" />
                                                                            <%= class_subjects.subjects[i]%>
                                                                                <% } %>
                                                                    </div>
                                                                </div>
                                                                <% } %>
                                                        </div>
                                                        <% } %>

                                                            <div class="form-group">
                                                                <div class="row">
                                                                    <div class="col-sm-6 col-sm-offset-3">
                                                                        <input type="button" name="login-submit" id="login-submit" tabindex="4" class="form-control btn btn-login" value="Add Teacher">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- modal -->
    <div id="modalDiv" class="modal animated bounceIn" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        <!-- dialog -->
        <div class="modal-dialog">

            <!-- content -->
            <div class="modal-content">

                <!-- header -->
                <div class="modal-header">
                    <h3 id="myModalLabel" class="modal-title">
                        <b></b> Classrooms
                    </h3>
                </div>
                <!-- header -->

                <!-- body -->
                <div class="modal-body">
                    <div class="row" style="margin-left:5px; margin-right:5px;">
                        <div class="tab-pane" id="schoolDetailsDiv">
                            <ul id="ul-pills" class="nav nav-pills sky">
                                <li>
                                    <input type="hidden" id="selectedTeacher" value=""/>
                                </li>
                                <!-- footer -->
                                <li style="float:right;">
                                    <button class="btn btn-default" data-dismiss="modal">
                                        close
                                    </button>
                                </li>
                                <!-- footer -->
                            </ul>
                        </div>
                    </div>
                    <div id="pills-div" class="tab-content clearfix" style="border:solid thin #999999; border-radius: 5px; padding-top:0px; margin-top:0px;margin-bottom:0px; disp">
                        <div class="tab-pane row active" id="11a" style="margin:5px;">
                            <div class="panel-body">
                                <div class="row">
                                    <div class="col-lg-12">
                                        <table class="table">
                                            <thead class="row">
                                                <tr>
                                                    <th class="col-md-2">Class</th>
                                                    <th class="col-md-3">Subjects</th>
                                                    <th class="col-md-3">Role</th>
                                                    <th class="col-md-2">Edit</th>
                                                    <th class="col-md-2">Delete</th>
                                                </tr>
                                            </thead>
                                            <tbody class="row" id="teacherClasses">
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

<script src='/js/3-6-10-firebase.js'></script>
<script src='/js/functions.js'></script>
<script src='/js/loginHandler.js'></script>
<script src='/js/AddTeachers.js'></script>

</html>